summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorWaldemar Brodkorb <wbx@openadk.org>2013-10-02 13:06:50 +0200
committerWaldemar Brodkorb <wbx@openadk.org>2013-10-02 13:06:50 +0200
commit984ea37e4ecdc7fb5e277bf5a045af73b5204791 (patch)
treeab106aa77066da3ff699b0421ade63d2e15a9dec /scripts
parent9c99c075a925519eb073744d9cbdaee596abb4ab (diff)
parent771da6d340f447a74dd9306c866219a5e5b85b0d (diff)
Merge branch 'master' of git+ssh://openadk.org/git/openadk
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/create-sys2
-rw-r--r--scripts/scan-pkgs.sh13
-rwxr-xr-xscripts/update-sys2
3 files changed, 14 insertions, 3 deletions
diff --git a/scripts/create-sys b/scripts/create-sys
index c34a6ac3a..d34a0e443 100755
--- a/scripts/create-sys
+++ b/scripts/create-sys
@@ -32,7 +32,7 @@ for i in $systems;do
systemu=$(echo $system|tr '[:upper:]' '[:lower:]')
system=$(echo $system|tr '[:upper:]_' '[:lower:]-')
system=$(echo $system|sed 's#x86-64#x86_64#')
- if [ "${system%-*}" = "toolchain" -o "${system%-*}" = "qemu" -o "${system%-*}" = "vbox" ];then
+ if [ "${system%-*}" = "toolchain" -o "${system%-*}" = "qemu" -o "${system%-*}" = "vbox" -o "${system%-*}" = "aranym" ];then
printf "\tdefault \"${system%-*}\" if ADK_$systemu\n" >> $topdir/target/config/Config.in.system.default
else
printf "\tdefault \"${system}\" if ADK_$systemu\n" >> $topdir/target/config/Config.in.system.default
diff --git a/scripts/scan-pkgs.sh b/scripts/scan-pkgs.sh
index b9888a4df..f794a8c37 100644
--- a/scripts/scan-pkgs.sh
+++ b/scripts/scan-pkgs.sh
@@ -104,7 +104,7 @@ if [[ -n $ADK_COMPILE_OPENJDK ]]; then
fi
if [[ -n $ADK_COMPILE_OPENJDK7 ]]; then
- NEED_ZIP="$NEED_ZIP openjdk"
+ NEED_ZIP="$NEED_ZIP openjdk7"
fi
if [[ -n $ADK_COMPILE_OPENJDK7 ]]; then
@@ -133,6 +133,10 @@ if [[ -n $ADK_COMPILE_AUTOMAKE ]]; then
NEED_AUTOCONF="$NEED_AUTOCONF automake"
fi
+if [[ -n $ADK_COMPILE_COROSYNC ]]; then
+ NEED_GROFF="$NEED_GROFF corosync"
+fi
+
if [[ -n $ADK_COMPILE_LIBTOOL ]]; then
NEED_AUTOMAKE="$NEED_AUTOMAKE libtool"
fi
@@ -305,6 +309,13 @@ if [[ -n $NEED_LIBSSLDEV ]]; then
fi
fi
+if [[ -n $NEED_GROFF ]]; then
+ if ! which groff >/dev/null 2>&1; then
+ echo >&2 You need groff to build $NEED_GROFF
+ out=1
+ fi
+fi
+
if [[ -n $NEED_MKFONTDIR ]]; then
if ! which mkfontdir >/dev/null 2>&1; then
echo >&2 You need mkfontdir to build $NEED_MKFONTDIR
diff --git a/scripts/update-sys b/scripts/update-sys
index 64b56a7dd..6c82dc626 100755
--- a/scripts/update-sys
+++ b/scripts/update-sys
@@ -49,7 +49,7 @@ config $archsym
boolean
EOF
-if [ "${system}" = "toolchain" -o "${system}" = "qemu" -o "${system}" = "vbox" ];then
+if [ "${system}" = "toolchain" -o "${system}" = "qemu" -o "${system}" = "vbox" -o "${system}" = "aranym" ];then
sys=${system}-$cpuarch
else
sys=$system